Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaImageActor Class Reference

`#include <vtkMesaImageActor.h>`

Inheritance diagram for vtkMesaImageActor:

[legend]
Collaboration diagram for vtkMesaImageActor:

[legend]
List of all members.

## Detailed Description

Mesa texture map.

Date:
  2002/08/22 18:39:30

Revision:
  1.8

vtkMesaImageActor is a concrete implementation of the abstract class vtkImageActor. vtkMesaImageActor interfaces to the Mesa rendering library.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (69%)
  - Schroeder, Will (11%)
  - Hoffman, Bill (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkMesaImageActor.cxx)`
  - .`h` (`/Rendering/vtkMesaImageActor.h)`

Definition at line 47 of file vtkMesaImageActor.h.

## Public Types
typedef vtkImageActor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Load (vtkRenderer *ren)
void | ReleaseGraphicsResources (vtkWindow *)
## Static Public Methods
vtkMesaImageActor * | New ()
int | IsTypeOf (const char *type)
vtkMesaImageActor * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaImageActor ()
| ~vtkMesaImageActor ()
unsigned char * | MakeDataSuitable (int &xsize, int &ysize, int &release)
## Protected Attributes
vtkTimeStamp | LoadTime
long | Index
vtkRenderWindow * | RenderWindow
float | Coords [12]
float | TCoords [8]
## Static Protected Attributes
long | GlobalIndex

## Member Typedef Documentation

typedef vtkImageActor vtkMesaImageActor::Superclass

| Reimplemented from vtkImageActor. Definition at line 51 of file vtkMesaImageActor.h.

## Constructor & Destructor Documentation

vtkMesaImageActor::vtkMesaImageActor | ( |  | ) | `[protected]`

vtkMesaImageActor::~vtkMesaImageActor | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMesaImageActor* vtkMesaImageActor::New | ( |  | ) | `[static]`

| Instantiate the image actor. Reimplemented from vtkImageActor.

virtual const char* vtkMesaImageActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageActor.

int vtkMesaImageActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageActor.

virtual int vtkMesaImageActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageActor.

vtkMesaImageActor* vtkMesaImageActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageActor.

virtual void vtkMesaImageActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageActor.

void vtkMesaImageActor::Load | ( | vtkRenderer * | ren | ) | `[virtual]`

| Implement base class method. Reimplemented from vtkImageActor.

void vtkMesaImageActor::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this texture. The parameter window could be used to determine which graphic resources to release. Using the same texture object in multiple render windows is NOT currently supported. Reimplemented from vtkProp.

unsigned char* vtkMesaImageActor::MakeDataSuitable | ( | int & | xsize,
|  | int & | ysize,
|  | int & | release
| ) | `[protected]`

## Member Data Documentation

vtkTimeStamp vtkMesaImageActor::LoadTime`[protected]`

| Definition at line 69 of file vtkMesaImageActor.h.

long vtkMesaImageActor::Index`[protected]`

| Definition at line 70 of file vtkMesaImageActor.h.

long vtkMesaImageActor::GlobalIndex`[static, protected]`

| Definition at line 71 of file vtkMesaImageActor.h.

vtkRenderWindow* vtkMesaImageActor::RenderWindow`[protected]`

| Definition at line 72 of file vtkMesaImageActor.h.

float vtkMesaImageActor::Coords[12]`[protected]`

| Definition at line 73 of file vtkMesaImageActor.h.

float vtkMesaImageActor::TCoords[8]`[protected]`

| Definition at line 74 of file vtkMesaImageActor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaImageActor.h